version: 0.4.0
vars: {}
graph:
  id: paper_gen
  description: Article generation with human feedback and editorial expansion.
  is_majority_voting: false
  start:
    - A
  nodes:
  - id: A
    type: agent
    config:
      provider: openai
      base_url: ${BASE_URL}
      api_key: ${API_KEY}
      name: gpt-4o
      role: 'You are a writer, skilled at generating a full article based on a word or phrase input by the user.

        The user will input a word or a short sentence, and you need to generate an article of no less than 2000 words based on it, requiring multiple paragraphs.

        '
      thinking:
        type: reflection
        config:
          reflection_prompt: 'Extract the first sentence of each paragraph, do not output any other content.

            '
      params:
        temperature: 0.1
        max_tokens: 4000
  - id: B
    type: human
    config:
      description: 'Please provide revision suggestions for the article.

        '
  - id: C
    type: agent
    config:
      provider: openai
      base_url: ${BASE_URL}
      api_key: ${API_KEY}
      name: gpt-4o
      role: 'You are an editor, skilled at polishing and expanding articles based on feedback from users and humans.

        The user will input an article and human feedback, and you need to polish the article accordingly.

        '
      params:
        temperature: 0.1
        max_tokens: 4000
  edges:
  - from: A
    to: B
  - from: B
    to: C
  - from: A
    to: C
